package $package;

import org.junit.Before;
import org.junit.Test;
import org.ow2.weblab.core.services.InvalidParameterException;
import org.ow2.weblab.core.services.indexer.IndexArgs;

/**
 * Template for WebLab service test which uses Indexer interface
 * 
 * @author WebLab Team
 */
public class $classNameTest {


	/**
	 * Instance of service which implement a Indexer
	 */
	private $className indexer;


	/**
	 * Initialisation before tests
	 */
	@Before
	public void init() {
		this.indexer = new $className();
	}


	/**
	 * Exception tests
	 */
	@Test(expected = InvalidParameterException.class)
	public void testNullIndexArgs() throws Exception {
		this.indexer = new $className();
		this.indexer.index(null);
	}


	/**
	 * Exception tests
	 */
	@Test(expected = InvalidParameterException.class)
	public void testNullResourceIndexArgs() throws Exception {
		this.indexer = new $className();
		this.indexer.index(new IndexArgs());
	}
}